Bug 217121 - devel/py-http-prompt: Update to 0.9.2
Summary: devel/py-http-prompt: Update to 0.9.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kirill Ponomarev
URL: https://github.com/eliangcs/http-prom...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-15 22:16 UTC by Danilo G. Baio
Modified: 2017-02-17 11:27 UTC (History)
0 users

See Also:


Attachments
py-http-prompt-0.9.2.patch (822 bytes, patch)
2017-02-15 22:16 UTC, Danilo G. Baio
dbaio: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2017-02-15 22:16:24 UTC
Created attachment 180032 [details]
py-http-prompt-0.9.2.patch

- Update to 0.9.2

Changelog:

   Fix bug: Unable to escape separator in paramter name (#106)
   Fix bug: rm -b autocomplete for raw json paramters (29e0895)
   Fix bug: Cursor being reset to position 0 (#107)
   Fix bug: UnboundLocalError on 'new_opts' (#110)

[Q/A]

portlint: OK (looks fine.)

testport:
   poudriere i386|amd64 10.3 p16     (OK)
   poudriere i386|amd64 11   p7      (OK)   
   poudriere i386|amd64 12   r313713 (OK)
Comment 1 Kirill Ponomarev freebsd_committer 2017-02-16 06:38:01 UTC
Take.
Comment 2 commit-hook freebsd_committer 2017-02-17 11:26:25 UTC
A commit references this bug:

Author: krion
Date: Fri Feb 17 11:25:21 UTC 2017
New revision: 434279
URL: https://svnweb.freebsd.org/changeset/ports/434279

Log:
  Update devel/py-http-prompt to 0.9.2

  PR:		217121
  Submitted by:	maintainer
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9636

Changes:
  head/devel/py-http-prompt/Makefile
  head/devel/py-http-prompt/distinfo